Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGReportTemplate.ReportResult

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.BGReportTemplate.ReportResult

Enclosing class:
  BGReportTemplate

    public static class BGReportTemplate.ReportResult
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected net.sf.jasperreports.engine.JRDataSource` | `dataSource` |
  `protected int` | `mid` |
  `protected java.util.Map<java.lang.String,​java.lang.Object>` | `params` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReportResult​(int mid)` |
  `ReportResult​(int mid, net.sf.jasperreports.engine.JRDataSource dataSource, java.util.Map<java.lang.String,​java.lang.Object> params)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `net.sf.jasperreports.engine.JRDataSource` | `createDataSource​(java.sql.ResultSet dataSource)` |
  `net.sf.jasperreports.engine.JRDataSource` | `createDataSource​(java.util.Collection<java.util.Map<java.lang.String,​java.lang.Object>> dataSource)` |
  `int` | `getMid()` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getParams()` |
  `void` | `setDataSource​(java.sql.ResultSet dataSource)` |
  `void` | `setDataSource​(java.util.Collection<java.util.Map<java.lang.String,​java.lang.Object>> dataSource)` |
  `void` | `setDataSource​(net.sf.jasperreports.engine.JRDataSource dataSource)` |
  `void` | `setMid​(int mid)` |
  `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.Object> params)` |
  `java.lang.String` | `sql​(java.lang.String sql, BGReportFilter filter)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataSource

    protected net.sf.jasperreports.engine.JRDataSource dataSource

  - ### params

    protected java.util.Map<java.lang.String,​java.lang.Object> params

  - ### mid

    protected int mid

- ## Constructor Details

  - ### ReportResult

    public ReportResult​(int mid, net.sf.jasperreports.engine.JRDataSource dataSource, java.util.Map<java.lang.String,​java.lang.Object> params)

  - ### ReportResult

    public ReportResult​(int mid)

- ## Method Details

  - ### setDataSource

    public void setDataSource​(net.sf.jasperreports.engine.JRDataSource dataSource)

  - ### setMid

    public void setMid​(int mid)

  - ### setDataSource

    public void setDataSource​(java.util.Collection<java.util.Map<java.lang.String,​java.lang.Object>> dataSource)

  - ### setDataSource

    public void setDataSource​(java.sql.ResultSet dataSource)

  - ### setParams

    public void setParams​(java.util.Map<java.lang.String,​java.lang.Object> params)

  - ### sql

    public java.lang.String sql​(java.lang.String sql, BGReportFilter filter)

  - ### createDataSource

    public net.sf.jasperreports.engine.JRDataSource createDataSource​(java.sql.ResultSet dataSource)

  - ### createDataSource

    public net.sf.jasperreports.engine.JRDataSource createDataSource​(java.util.Collection<java.util.Map<java.lang.String,​java.lang.Object>> dataSource)

  - ### getMid

    public int getMid()

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.Object> getParams()